
Foreman - Refactor #27990

Move away from turbolinks-classic

10/02/2019 02:22 PM - Anonymous

Status: Resolved   

Priority: Normal   

Assignee:    

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

turbolinks 2.x is abandoned and unmaintained. Also, it's not going to work with Rails 6.

Related issues:

Related to Foreman - Task #23449: replace turbolinks with SPA approach to loa... New

Related to Foreman - Refactor #20961: Turbolinks Classic is not Rails 5.1 com... Closed 09/16/2017

Related to Foreman - Feature #28217: Removing turbolinks Closed

Blocks Foreman - Tracker #24837: Rails 6.0 Tracker Closed

History

#1 - 10/02/2019 02:22 PM - Anonymous

- Blocks Tracker #24837: Rails 6.0 Tracker added

#2 - 10/02/2019 02:24 PM - Anonymous

- Related to Task #23449: replace turbolinks with SPA approach to load partial html content added

#3 - 10/02/2019 02:25 PM - Anonymous

- Related to Refactor #20961: Turbolinks Classic is not Rails 5.1 compatible added

#4 - 11/11/2019 10:52 AM - Tomer Brisker

- Blocked by Refactor #28226: Upgrade to sprockets 4 added

#5 - 12/12/2019 10:34 AM - Tomer Brisker

- Related to Feature #28217: Removing turbolinks added

#6 - 03/08/2020 01:37 PM - Tomer Brisker

- Blocked by deleted (Refactor #28226: Upgrade to sprockets 4)

#7 - 03/08/2020 01:37 PM - Tomer Brisker

- Status changed from New to Resolved

#28217 dropped turbolinks
